import shutil, os, re 

# Definition eines regulärer Ausdruck für das US-Datumsformat
datum = re.compile(r"""^(.*?)        # Gesamter Text vor Datum 
    ((0|1)?\d)-                      # Ein oder zwei Ziffern für den Monat
    ((0|1|2|3)?\d)-                  # Ein oder zwei Ziffern für den Tag
    ((19|20)\d\d)                    # Vier Ziffern für das Jahr
    (.*?)$                           # Gesamter Text nach dem Datum
    """, re.VERBOSE) 

for amiDatei in os.listdir('.'):
    
    # 1. Aktuelle Datei auf Datumsangabe prüfen  
    mo = datum.search(amiDatei)
    
    # 2. Überspringen von Dateien ohne Datumsangabe
    if mo == None: 
        continue 
    
    # 3. Abrufen der einzelnen Teile des Dateinamens 
    text1 = mo.group(1)
    monat = mo.group(2)
    tag   = mo.group(4)
    jahr  = mo.group(6)
    text2 = mo.group(8)

    # 4. Definition des Dateinamen nach europäischen Datumsangaben
    euroDatei = text1 + tag + '-' + monat + '-' + jahr + text2 
    
    # 5. Umbennen der Datei 
    dateipfad = os.path.abspath('.')
    amiDatei  = os.path.join(dateipfad, amiDatei)
    euroDatei = os.path.join(dateipfad, euroDatei) 
    shutil.move(amiDatei, euroDatei) 


